Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class TextRenderer

    java.lang.Object
      net.sf.jasperreports.engine.export.TextRenderer

    public class TextRenderer

extends java.lang.Object

Version:
  $Id: TextRenderer.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.awt.font.FontRenderContext` | `LINE_BREAK_FONT_RENDER_CONTEXT`

Constructor Summary
`TextRenderer(boolean isMinimizePrinterJobSize, boolean ignoreMissingFont)`

Method Summary
`void` | `draw(java.awt.font.TextLayout layout)`
`static TextRenderer` | `getInstance()`
`void` | `render(java.awt.Graphics2D initGrx, int initX, int initY, int initWidth, int initHeight, int initTopPadding, int initLeftPadding, int initBottomPadding, int initRightPadding, float initTextHeight, HorizontalAlignEnum initHorizontalAlignment, VerticalAlignEnum initVerticalAlignment, float initLineSpacingFactor, float initLeadingOffset, int initFontSize, boolean isStyledText, JRStyledText styledText, java.lang.String allText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_BREAK_FONT_RENDER_CONTEXT

    public static final java.awt.font.FontRenderContext LINE_BREAK_FONT_RENDER_CONTEXT

Constructor Detail

### TextRenderer

    public TextRenderer(boolean isMinimizePrinterJobSize,
                        boolean ignoreMissingFont)

Method Detail

### getInstance

    public static TextRenderer getInstance()

### render

    public void render(java.awt.Graphics2D initGrx,
                       int initX,
                       int initY,
                       int initWidth,
                       int initHeight,
                       int initTopPadding,
                       int initLeftPadding,
                       int initBottomPadding,
                       int initRightPadding,
                       float initTextHeight,
                       HorizontalAlignEnum initHorizontalAlignment,
                       VerticalAlignEnum initVerticalAlignment,
                       float initLineSpacingFactor,
                       float initLeadingOffset,
                       int initFontSize,
                       boolean isStyledText,
                       JRStyledText styledText,
                       java.lang.String allText)

### draw

    public void draw(java.awt.font.TextLayout layout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com